package feture;

import java.util.concurrent.Callable;
import java.util.concurrent.FutureTask;

public class MyFutureTask02 {
    public static void main(String[] args) {
        FutureTask<Integer> futureTask = new FutureTask<>(new Callable<>() {

            /**
             * Computes a result, or throws an exception if unable to do so.
             *
             * @return computed result
             * @throws Exception if unable to compute a result
             */
            @Override
            public Integer call() throws Exception {
                return 0;
            }
        });
    }
}
